<?php

namespace App\Enums;

use Filament\Support\Contracts\HasLabel;

enum LegalDocumentType: string implements HasLabel
{
    case PRIVACY_POLICY = 'privacy_policy';
    case TERMS = 'terms';

    public function getLabel(): string
    {
        return match ($this) {
            self::PRIVACY_POLICY => __('enums.legal_document_type.privacy_policy'),
            self::TERMS => __('enums.legal_document_type.terms'),
        };
    }
}
